org.apache.lucene.codecs.simpletext

## Class SimpleTextStoredFieldsWriter

- java.lang.Object
- - org.apache.lucene.codecs.StoredFieldsWriter
  - - org.apache.lucene.codecs.simpletext.SimpleTextStoredFieldsWriter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public class SimpleTextStoredFieldsWriter
    extends StoredFieldsWriter

Writes plain-text stored fields.

FOR RECREATIONAL USE ONLY

WARNING: This API is experimental and might change in incompatible ways in the next release.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.codecs.StoredFieldsWriter

`StoredFieldsWriter.MergeVisitor`

### Constructor Summary

Constructors
Constructor and Description
`SimpleTextStoredFieldsWriter(Directory directory, String segment, IOContext context)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`void` `finish(FieldInfos fis, int numDocs)`
`void` `startDocument()`
`void` `writeField(FieldInfo info, IndexableField field)`

### Methods inherited from class org.apache.lucene.codecs.StoredFieldsWriter

`finishDocument, merge`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SimpleTextStoredFieldsWriter

    public SimpleTextStoredFieldsWriter(Directory directory,
                                        String segment,
                                        IOContext context)
                                 throws IOException

Throws:
  `IOException`

### Method Detail

#### startDocument

    public void startDocument()
                       throws IOException

Specified by:
  `startDocument` in class `StoredFieldsWriter`
Throws:
  `IOException`

#### writeField

    public void writeField(FieldInfo info,
                           IndexableField field)
                    throws IOException

Specified by:
  `writeField` in class `StoredFieldsWriter`
Throws:
  `IOException`

#### finish

    public void finish(FieldInfos fis,
                       int numDocs)
                throws IOException

Specified by:
  `finish` in class `StoredFieldsWriter`
Throws:
  `IOException`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Specified by:
  `close` in class `StoredFieldsWriter`
Throws:
  `IOException`